kylin-commits mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From shaofeng...@apache.org
Subject kylin git commit: KYLIN-1859 fix ci
Date Thu, 11 Aug 2016 01:58:29 GMT
Repository: kylin
Updated Branches:
  refs/heads/master 18cb49cdb -> a00f9d74d


KYLIN-1859 fix ci


Project: http://git-wip-us.apache.org/repos/asf/kylin/repo
Commit: http://git-wip-us.apache.org/repos/asf/kylin/commit/a00f9d74
Tree: http://git-wip-us.apache.org/repos/asf/kylin/tree/a00f9d74
Diff: http://git-wip-us.apache.org/repos/asf/kylin/diff/a00f9d74

Branch: refs/heads/master
Commit: a00f9d74d5ddabecd7c0b27fc0760d670f34fbcd
Parents: 18cb49c
Author: shaofengshi <shaofengshi@apache.org>
Authored: Thu Aug 11 09:57:50 2016 +0800
Committer: shaofengshi <shaofengshi@apache.org>
Committed: Thu Aug 11 09:57:50 2016 +0800

----------------------------------------------------------------------
 build/bin/find-hive-dependency.sh                           | 9 +++++++++
 .../apache/kylin/cube/model/CubeJoinedFlatTableDesc.java    | 2 +-
 2 files changed, 10 insertions(+), 1 deletion(-)
----------------------------------------------------------------------


http://git-wip-us.apache.org/repos/asf/kylin/blob/a00f9d74/build/bin/find-hive-dependency.sh
----------------------------------------------------------------------
diff --git a/build/bin/find-hive-dependency.sh b/build/bin/find-hive-dependency.sh
index 5b748fc..539a45b 100644
--- a/build/bin/find-hive-dependency.sh
+++ b/build/bin/find-hive-dependency.sh
@@ -17,6 +17,15 @@
 # limitations under the License.
 #
 
+if [ -z "$KYLIN_HOME" ]
+then
+    echo 'please make sure KYLIN_HOME has been set'
+    exit 1
+else
+    echo "KYLIN_HOME is set to ${KYLIN_HOME}"
+fi
+
+
 client_mode=`sh ${KYLIN_HOME}/bin/get-properties.sh kylin.hive.client`
 hive_env=
 

http://git-wip-us.apache.org/repos/asf/kylin/blob/a00f9d74/core-cube/src/main/java/org/apache/kylin/cube/model/CubeJoinedFlatTableDesc.java
----------------------------------------------------------------------
diff --git a/core-cube/src/main/java/org/apache/kylin/cube/model/CubeJoinedFlatTableDesc.java
b/core-cube/src/main/java/org/apache/kylin/cube/model/CubeJoinedFlatTableDesc.java
index 04aea89..e8856ef 100644
--- a/core-cube/src/main/java/org/apache/kylin/cube/model/CubeJoinedFlatTableDesc.java
+++ b/core-cube/src/main/java/org/apache/kylin/cube/model/CubeJoinedFlatTableDesc.java
@@ -78,7 +78,7 @@ public class CubeJoinedFlatTableDesc implements IJoinedFlatTableDesc {
         if (cubeSegment == null) {
             this.tableName = "kylin_intermediate_" + cubeDesc.getName();
         } else {
-            this.tableName = "kylin_intermediate_" + cubeDesc.getName() + "_" + cubeSegment.getUuid();
+            this.tableName = "kylin_intermediate_" + cubeDesc.getName() + "_" + cubeSegment.getUuid().replaceAll("-",
"_");
         }
 
         int columnIndex = 0;


Mime
View raw message